<?php

class Restaurantz_Address_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'restaurantz-address',
			__( 'Restaurantz: Address', 'restaurantz-pro' ),
			array(
				'description' => __( 'Displays an contact address details', 'restaurantz-pro' ),
				),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'restaurantz-pro' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'restaurantz-pro' ),
				),
				'address_repeater' => array(
					'type'      => 'repeater',
					'label'     => __( 'Enter Contact Details.', 'restaurantz-pro' ),
					'item_name' => __( 'Details', 'restaurantz-pro' ),
					'item_label' => array(
						'selector'     => "[id*='address_repeater-contact']",
						'update_event' => 'change',
						'value_method' => 'val',
					),
					'fields' => array(
						'icon' => array(
							'type'  => 'icon',
							'label' => __( 'Select Icon', 'restaurantz-pro' ),
						),
						'contact' => array(
							'type'  => 'text',
							'label' => __( 'Enter Address Details like Phone Number / Address / Location', 'restaurantz-pro' ),
						),
						'contact_detail' => array(
							'type' => 'text',
							'label' => __( 'Enter Details for Above Fields', 'restaurantz-pro' ),
						),
					),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'restaurantz-pro' ),
					'hide'   => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'restaurantz-pro' ),
							'default' => '#562c19',
							),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'restaurantz-pro' ),
							'default' => '#313131',
						),
						'color_quick_contact_icon' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Quick Contact Icon Color', 'restaurantz-pro' ),
							'default' => '#ffffff',
						),
						'color_quick_contact-text' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Quick Contact Text Color', 'restaurantz-pro' ),
							'default' => '#ffffff',
						),
					),
				),
			)
		);
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings_color']['color_quick_contact_icon'] ) ) {
			$less_vars['color_quick_contact_icon'] = $instance['settings_color']['color_quick_contact_icon'];
		}
		if ( ! empty( $instance['settings_color']['color_quick_contact-text'] ) ) {
			$less_vars['color_quick_contact-text'] = $instance['settings_color']['color_quick_contact-text'];
		}
		return $less_vars;

	}
}
siteorigin_widget_register( 'restaurantz-address', __FILE__, 'Restaurantz_Address_Widget' );
