<?php

class Restaurantz_Availability_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'restaurantz-availability',
			__( 'Restaurantz: Availability', 'restaurantz-pro' ),
			array(
				'description' => __( 'Displays available time for each day', 'restaurantz-pro' ),
			),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'restaurantz-pro' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'restaurantz-pro' ),
				),
				'workingdays' => array(
					'type'   => 'section',
					'label'  => __( 'Working Days', 'restaurantz-pro' ),
					'hide'   => false,
					'fields' => array(
						'sunday' => array(
							'type'  => 'text',
							'label' => __( 'Sunday', 'restaurantz-pro' ),
						),
						'monday' => array(
							'type'  => 'text',
							'label' => __( 'Monday', 'restaurantz-pro' ),
						),
						'tuesday' => array(
							'type'  => 'text',
							'label' => __( 'Tuesday', 'restaurantz-pro' ),
						),
						'wednesday' => array(
							'type'  => 'text',
							'label' => __( 'Wednesday', 'restaurantz-pro' ),
						),
						'thursday' => array(
							'type'  => 'text',
							'label' => __( 'Thursday', 'restaurantz-pro' ),
						),
						'friday' => array(
							'type'  => 'text',
							'label' => __( 'Friday', 'restaurantz-pro' ),
						),
						'saturday' => array(
							'type'  => 'text',
							'label' => __( 'Saturday', 'restaurantz-pro' ),
						),
					),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'restaurantz-pro' ),
					'hide'   => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'restaurantz-pro' ),
							'default' => '#562c19',
							),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'restaurantz-pro' ),
							'default' => '#313131',
						),
						'color_availability_text' => array(
							'type'    => 'color',
							'label'   => __( 'Availability Text Color', 'restaurantz-pro' ),
							'default' => '#313131',
						),
						'color_availability_wrapper_background' => array(
							'type'    => 'color',
							'label'   => __( 'Availability Wrapper Background Color', 'restaurantz-pro' ),
							'default' => 'rgba(249, 164, 0, 0.16)',
						),
					),
				),
			)
		);

	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings_color']['color_availability_text'] ) ) {
			$less_vars['color_availability_text'] = $instance['settings_color']['color_availability_text'];
		}
		if ( ! empty( $instance['settings_color']['color_availability_wrapper_background'] ) ) {
			$less_vars['color_availability_wrapper_background'] = $instance['settings_color']['color_availability_wrapper_background'];
		}
		return $less_vars;
	}
}
siteorigin_widget_register( 'restaurantz-availability', __FILE__, 'Restaurantz_Availability_Widget' );
